<?php
/**
 * Header file for the Cobber WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Cobber
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if( function_exists('wp_body_open') ){
    wp_body_open();
}

$cobber_default = cobber_get_default_theme_options();
$ed_preloader = get_theme_mod( 'ed_preloader',$cobber_default['ed_preloader'] );

if( $ed_preloader ){ ?>

    <div class="preloader hide-no-js <?php if( isset( $_COOKIE['CobberNightDayMode'] ) && $_COOKIE['CobberNightDayMode'] == 'true' ){ echo 'preloader-night-mode'; } ?>">
	    <div class="preloader-style preloader-style-1"></div>
	</div>

<?php } ?>


<div id="page" class="page-wrapper">
<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'cobber'); ?></a>

<div id="aside-content" class="site-aside-content">
    <div class="theme-aside-wrapper">

        <?php cobber_aside_left_content_banner(); ?>

        <div class="theme-aside-content">
            <?php get_template_part( 'template-parts/header', 'content' );
            cobber_aside_left_content(); ?>

            <?php if (has_nav_menu('cobber-social-menu')) { ?>

                <?php if( is_single() || is_page() ){ echo '<div class="theme-header-content">'; } ?>
                    <div class="theme-social-navigation">
                        <div class="social-navigation-label"><?php esc_html_e('Connect with Us:', 'cobber'); ?></div>
                        <div id="social-nav" class="social-navigation">
                            <?php wp_nav_menu(array(
                                'theme_location' => 'cobber-social-menu',
                                'link_before' => '<span class="screen-reader-text">',
                                'link_after' => '</span>',
                                'container' => 'div',
                                'container_class' => 'social-menu',
                                'depth' => 1,
                            )); ?>
                        </div>
                    </div>
                <?php if( is_single() || is_page() ){ echo '</div>'; } ?>
            <?php } ?>
        </div>

    </div>
</div>

<div id="content" class="site-content">