<?php
/**
 * Default Values.
 *
 * @package Cobber
 */

if (!function_exists('cobber_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function cobber_get_default_theme_options()
    {

        $cobber_defaults = array();

        // Options.
        $cobber_defaults['cobber_header_banner_type']                           = 'media';
        $cobber_defaults['header_text']                               = esc_html__('Hello World!','cobber');
        $cobber_defaults['header_button_label']                       = esc_html__('Sign Up','cobber');
        $cobber_defaults['ed_banner_slider_autoplay']                 = 1;
        $cobber_defaults['ed_banner_slider_pagination']                 = 0;
        $cobber_defaults['ed_banner_slider_navigation']                 = 1;
        $cobber_defaults['cobber_archive_layout'] = 'default';
        $cobber_defaults['cobber_pagination_layout'] = 'numeric';
        $cobber_defaults['cobber_copyright_text'] = esc_html__('All rights reserved.', 'cobber');
        $cobber_defaults['cobber_header_search'] = 1;
        $cobber_defaults['ed_day_night_mode_switch'] = 1;
        $cobber_defaults['cobber_body_font'] = 'Open Sans';
        $cobber_defaults['cobber_heading_font'] = 'Open Sans';
        $cobber_defaults['cobber_heading_weight'] = '400';
        $cobber_defaults['cobber_heading_case'] = 'normal';
        $cobber_defaults['cobber_heading_language'] = 'latin';
        $cobber_defaults['cobber_related_post'] = 1;
        $cobber_defaults['cobber_related_section_title'] = esc_html__('Related Post', 'cobber');
        $cobber_defaults['theme_navigation_type'] = 'normal-navigation';
        $cobber_defaults['cobber_post_author'] = 1;
        $cobber_defaults['cobber_post_date'] = 1;
        $cobber_defaults['cobber_post_category'] = 1;
        $cobber_defaults['cobber_post_tags'] = 1;
        $cobber_defaults['ed_footer_copyright'] = 1;
        $cobber_defaults['ed_preloader'] = 1;
        $cobber_defaults['cobber_ed_footer_scroll_top_button'] = 1;
        $cobber_defaults['ed_header_search_recent_posts']             = 1;
        $cobber_defaults['post_video_aspect_ration']             = 'default';
        $cobber_defaults['ed_header_search_top_category']             = 1;
        $cobber_defaults['recent_post_title_search']                 = esc_html__('Recent Post','cobber');
        $cobber_defaults['top_category_title_search']                 = esc_html__('Top Category','cobber');

        // Pass through filter.
        $cobber_defaults = apply_filters('cobber_filter_default_theme_options', $cobber_defaults);

        return $cobber_defaults;

    }

endif;
